# Ansible playbooks to setup servers

## Requirements

```
ansible-galaxy install -r requirements.yml
```

## Roles

Basic server setup:

- `hostname`    Set hostname, FQDN.
- `tz`          Set TZ `Europe/Moscow`.
- `locale`      Generate and set locale `en_US.utf-8`.
- `packages`    Install admin tools e.g. vim, tree, etc.
- `dotfiles`    Add dotfiles for root and /etc/skel.
- `motd`        Modify MOTD.
- `ufw`         Enable UFW, allow OpenSSH rule.
- `sshd`        Disable SSH authentication via passwords.

Other:

- `avahi`       Install and configure Avahi daemon for mDNS.
- `docker`      Install Docker Engine.
