# Ansible managed

[ -f ~/.profile ] && . ~/.profile

[ -f ~/.profile.extra ] && . ~/.profile.extra

alias grep='grep --color=auto'
alias diff='diff --color=auto'
alias ls='ls -F --color=auto'
alias l='ls -hl'
alias ll='ls -alh'
alias tree='tree -F'
alias qq='history -c; exit'

shopt -s autocd
shopt -s histappend

HISTCONTROL=ignoreboth
HISTSIZE=1000000
HISTFILESIZE=1000000
HISTTIMEFORMAT="%d %b %Y %T %z "

if [ "$EUID" -eq 0 ]; then
    if [ -f /etc/armbian-release ]; then
        PS1='\[\033[38;5;208;1m\]\u@\H\[\033[00m\]:\w\[\033[00m\]\$ '
    else
        PS1='\[\033[1m\]\u@\H\[\033[00m\]:\w\[\033[00m\]\$ '
    fi
else
    PS1='\u@\H:\w\$ '
fi
